Index: src/test/java/net/sf/ehcache/CacheTest.java
===================================================================
--- src/test/java/net/sf/ehcache/CacheTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/CacheTest.java	(working copy)
@@ -17,22 +17,12 @@
 package net.sf.ehcache;
 
 import static junit.framework.Assert.assertSame;
-import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
-import net.sf.ehcache.event.CacheEventListener;
-import net.sf.ehcache.event.RegisteredEventListeners;
-import net.sf.ehcache.exceptionhandler.ExceptionHandlingDynamicCacheProxy;
-import net.sf.ehcache.loader.CacheLoader;
-import net.sf.ehcache.loader.CountingCacheLoader;
-import net.sf.ehcache.loader.ExceptionThrowingLoader;
-import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
-import org.junit.After;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertFalse;
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertNull;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Test;
 
 import java.io.ByteArrayInputStream;
 import java.io.Serializable;
@@ -44,15 +34,27 @@
 import java.util.Map;
 import java.util.Random;
 import java.util.Vector;
-import java.util.concurrent.atomic.AtomicLong;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.ExecutorService;
-import java.util.concurrent.Future;
 import java.util.concurrent.Executors;
+import java.util.concurrent.Future;
 import java.util.concurrent.TimeUnit;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import java.util.concurrent.atomic.AtomicLong;
 
+import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
+import net.sf.ehcache.event.CacheEventListener;
+import net.sf.ehcache.event.RegisteredEventListeners;
+import net.sf.ehcache.exceptionhandler.ExceptionHandlingDynamicCacheProxy;
+import net.sf.ehcache.loader.CacheLoader;
+import net.sf.ehcache.loader.CountingCacheLoader;
+import net.sf.ehcache.loader.ExceptionThrowingLoader;
+import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
+
+import org.junit.After;
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 
 /**
  * Tests for a Cache
@@ -62,7 +64,7 @@
  */
 public class CacheTest extends AbstractCacheTest {
 
-    private static final Logger LOG = Logger.getLogger(CacheTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(CacheTest.class);
 
 
     /**
@@ -275,22 +277,22 @@
         cache.put(new Element("key1", "value1"));
         Element element = cache.get("key1");
         assertTrue(element.getCreationTime() >= beforeElementCreation);
-        LOG.log(Level.INFO, "version: " + element.getVersion());
-        LOG.log(Level.INFO, "creationTime: " + element.getCreationTime());
-        LOG.log(Level.INFO, "lastUpdateTime: " + element.getLastUpdateTime());
+        LOG.info("version: " + element.getVersion());
+        LOG.info("creationTime: " + element.getCreationTime());
+        LOG.info("lastUpdateTime: " + element.getLastUpdateTime());
         assertEquals(0, element.getLastUpdateTime());
 
         cache.put(new Element("key1", "value1"));
         element = cache.get("key1");
-        LOG.log(Level.INFO, "version: " + element.getVersion());
-        LOG.log(Level.INFO, "creationTime: " + element.getCreationTime());
-        LOG.log(Level.INFO, "lastUpdateTime: " + element.getLastUpdateTime());
+        LOG.info("version: " + element.getVersion());
+        LOG.info("creationTime: " + element.getCreationTime());
+        LOG.info("lastUpdateTime: " + element.getLastUpdateTime());
 
         cache.put(new Element("key1", "value1"));
         element = cache.get("key1");
-        LOG.log(Level.INFO, "version: " + element.getVersion());
-        LOG.log(Level.INFO, "creationTime: " + element.getCreationTime());
-        LOG.log(Level.INFO, "lastUpdateTime: " + element.getLastUpdateTime());
+        LOG.info("version: " + element.getVersion());
+        LOG.info("creationTime: " + element.getCreationTime());
+        LOG.info("lastUpdateTime: " + element.getLastUpdateTime());
     }
 
 
@@ -490,7 +492,7 @@
             memoryOnlyCache.get(key);
         }
         time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time for MemoryStore: " + time);
+        LOG.info("Time for MemoryStore: " + time);
         assertTrue("Time to put and get 5000 entries into MemoryStore", time < 300);
 
         //Memory only Typical 192ms
@@ -502,7 +504,7 @@
                 memoryOnlyCache.get(key);
             }
             time = stopWatch.getElapsedTime();
-            LOG.log(Level.INFO, "Time for MemoryStore: " + time);
+            LOG.info("Time for MemoryStore: " + time);
             assertTrue("Time to put and get 5000 entries into MemoryStore", time < 300);
             Thread.sleep(500);
         }
@@ -518,7 +520,7 @@
                 exceptionHandlingMemoryOnlyCache.get(key);
             }
             time = stopWatch.getElapsedTime();
-            LOG.log(Level.INFO, "Time for exception handling MemoryStore: " + time);
+            LOG.info("Time for exception handling MemoryStore: " + time);
             assertTrue("Time to put and get 5000 entries into exception handling MemoryStore", time < 300);
             Thread.sleep(500);
         }
@@ -535,7 +537,7 @@
             diskOnlyCache.get(key);
         }
         time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time for DiskStore: " + time);
+        LOG.info("Time for DiskStore: " + time);
         assertTrue("Time to put and get 5000 entries into DiskStore was less than 2 sec", time < 2000);
 
         // 1 Memory, 999 Disk
@@ -550,7 +552,7 @@
             m1d999Cache.get(key);
         }
         time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time for m1d999Cache: " + time);
+        LOG.info("Time for m1d999Cache: " + time);
         assertTrue("Time to put and get 5000 entries into m1d999Cache", time < 2000);
 
         // 500 Memory, 500 Disk
@@ -565,7 +567,7 @@
             m500d500Cache.get(key);
         }
         time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time for m500d500Cache: " + time);
+        LOG.info("Time for m500d500Cache: " + time);
         assertTrue("Time to put and get 5000 entries into m500d500Cache", time < 2000);
 
     }
@@ -650,7 +652,7 @@
         CacheManager manager = CacheManager.getInstance();
         cache = manager.getCache(name);
         if (cache == null) {
-            LOG.log(Level.WARNING, "Could not find configuration for " + name
+            LOG.warn("Could not find configuration for " + name
                     + ". Configuring using the defaultCache settings.");
             manager.addCache(name);
             cache = manager.getCache(name);
@@ -1016,7 +1018,7 @@
         long getKeysTime = stopWatch.getElapsedTime();
         cache.getKeysNoDuplicateCheck();
         long getKeysNoDuplicateCheckTime = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time to get 1000 keys: With Duplicate Check: " + getKeysTime
+        LOG.info("Time to get 1000 keys: With Duplicate Check: " + getKeysTime
                 + " Without Duplicate Check: " + getKeysNoDuplicateCheckTime);
         assertTrue("Getting keys took more than 150ms", getKeysTime < 100);
     }
@@ -1043,7 +1045,7 @@
         long size = cache.calculateInMemorySize();
         assertTrue("Size is " + size + ". Check it for reasonableness.", size > 100000 && size < 5000000);
         long elapsed = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "In-memory size in bytes: " + size
+        LOG.info("In-memory size in bytes: " + size
                 + " time to calculate in ms: " + elapsed);
         assertTrue("Calculate memory size takes less than 3.5 seconds", elapsed < 3500);
     }
@@ -1250,7 +1252,7 @@
         //this one does
         cache.put(new Element("nullValue", null));
 
-        LOG.log(Level.INFO, "Size: " + cache.getDiskStoreSize());
+        LOG.info("Size: " + cache.getDiskStoreSize());
 
         assertEquals(50, cache.getMemoryStoreSize());
         assertEquals(54, cache.getDiskStoreSize());
@@ -1333,7 +1335,7 @@
         for (int i = 0; i < 80000; i++) {
             cache.put(new Element("" + i, new byte[480]));
         }
-        LOG.log(Level.INFO, "Put time: " + stopWatch.getElapsedTime());
+        LOG.info("Put time: " + stopWatch.getElapsedTime());
         Thread.sleep(2000);
         assertEquals(40000, cache.getMemoryStoreSize());
         assertEquals(40000, cache.getDiskStoreSize());
@@ -1341,7 +1343,7 @@
         long beforeMemory = measureMemoryUse();
         stopWatch.getElapsedTime();
         cache.flush();
-        LOG.log(Level.INFO, "Flush time: " + stopWatch.getElapsedTime());
+        LOG.info("Flush time: " + stopWatch.getElapsedTime());
 
         //It takes a while to write all the Elements to disk
         Thread.sleep(1000);
@@ -1376,7 +1378,7 @@
                 cache.put(a);
             }
         } catch (OutOfMemoryError e) {
-            LOG.log(Level.INFO, "OutOfMemoryError: " + e.getMessage() + " " + i);
+            LOG.info("OutOfMemoryError: " + e.getMessage() + " " + i);
             fail();
         }
     }
@@ -2081,22 +2083,22 @@
 
         try {
             int failures = runThreadsNoCheck(executables);
-            LOG.log(Level.INFO, failures + " failures");
+            LOG.info(failures + " failures");
             //CHM does have the occasional very slow time.
             assertTrue("Failures = " + failures, failures <= 50);
         } finally {
-            LOG.log(Level.INFO, "Average Get Time for " + getTimeCount.get() + " observations: "
+            LOG.info("Average Get Time for " + getTimeCount.get() + " observations: "
                     + getTimeSum.floatValue() / getTimeCount.get() + " ms");
-            LOG.log(Level.INFO, "Average Put Time for " + putTimeCount.get() + " obervations: "
+            LOG.info("Average Put Time for " + putTimeCount.get() + " obervations: "
                     + putTimeSum.floatValue() / putTimeCount.get() + " ms");
-            LOG.log(Level.INFO, "Average Remove Time for " + removeTimeCount.get() + " obervations: "
+            LOG.info("Average Remove Time for " + removeTimeCount.get() + " obervations: "
                     + removeTimeSum.floatValue() / removeTimeCount.get() + " ms");
-            LOG.log(Level.INFO, "Average Remove All Time for " + removeAllTimeCount.get() + " observations: "
+            LOG.info("Average Remove All Time for " + removeAllTimeCount.get() + " observations: "
                     + removeAllTimeSum.floatValue() / removeAllTimeCount.get() + " ms");
-            LOG.log(Level.INFO, "Average keySet Time for " + keySetTimeCount.get() + " observations: "
+            LOG.info("Average keySet Time for " + keySetTimeCount.get() + " observations: "
                     + keySetTimeSum.floatValue() / keySetTimeCount.get() + " ms");
-            LOG.log(Level.INFO, "Total loads: " + countingCacheLoader.getLoadCounter());
-            LOG.log(Level.INFO, "Total loadAlls: " + countingCacheLoader.getLoadAllCounter());
+            LOG.info("Total loads: " + countingCacheLoader.getLoadCounter());
+            LOG.info("Total loadAlls: " + countingCacheLoader.getLoadAllCounter());
         }
     }
 
@@ -2210,13 +2212,13 @@
 
 
             int failures = runThreadsNoCheck(executables);
-            LOG.log(Level.INFO, failures + " failures");
+            LOG.info(failures + " failures");
             assertTrue(failures == 0);
             long totalReadTime = 0;
             for (Long readTime : readTimes) {
                 totalReadTime += readTime;
             }
-            LOG.log(Level.INFO, threads + " threads. Average Get time: " + totalReadTime / (float) readTimes.size() + " ms");
+            LOG.info(threads + " threads. Average Get time: " + totalReadTime / (float) readTimes.size() + " ms");
 
         }
 
@@ -2330,7 +2332,7 @@
          */
         protected void finalize() throws Throwable {
             manager.getCache("test").getQuiet("key");
-            LOG.log(Level.INFO, "finalize run from thread " + Thread.currentThread().getName());
+            LOG.info("finalize run from thread " + Thread.currentThread().getName());
             super.finalize();
         }
     }
@@ -2346,7 +2348,7 @@
 
 
             public Object load(Object key, Object argument) throws CacheException {
-                LOG.log(Level.INFO, "load1 " + key);
+                LOG.info("load1 " + key);
                 return key;
             }
 
@@ -2376,7 +2378,7 @@
             }
 
             public Object load(Object o) throws CacheException {
-                LOG.log(Level.INFO, "load2 " + o + " " + o.getClass());
+                LOG.info("load2 " + o + " " + o.getClass());
                 if (o.equals("c")) {
                     return null;
                 }
Index: src/test/java/net/sf/ehcache/management/ManagementServiceTest.java
===================================================================
--- src/test/java/net/sf/ehcache/management/ManagementServiceTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/management/ManagementServiceTest.java	(working copy)
@@ -16,17 +16,17 @@
 
 package net.sf.ehcache.management;
 
-import net.sf.ehcache.AbstractCacheTest;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-import net.sf.ehcache.config.Configuration;
-import net.sf.ehcache.config.ConfigurationFactory;
-import org.junit.After;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertNull;
-import org.junit.Before;
-import org.junit.Test;
+
+import java.io.File;
+import java.io.IOException;
+import java.rmi.registry.LocateRegistry;
+import java.util.Iterator;
+import java.util.List;
+import java.util.Set;
+import java.util.logging.Logger;
 
 import javax.management.JMException;
 import javax.management.MBeanAttributeInfo;
@@ -39,14 +39,16 @@
 import javax.management.remote.JMXConnectorServer;
 import javax.management.remote.JMXConnectorServerFactory;
 import javax.management.remote.JMXServiceURL;
-import java.io.File;
-import java.io.IOException;
-import java.rmi.registry.LocateRegistry;
-import java.util.Iterator;
-import java.util.List;
-import java.util.Set;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.AbstractCacheTest;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
+import net.sf.ehcache.config.Configuration;
+import net.sf.ehcache.config.ConfigurationFactory;
+
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
 
 /**
  * These tests use the JDK1.5 platform mbean server
@@ -265,7 +267,7 @@
         ObjectName name = CacheManager.createObjectName(manager);
 
         Object object = mBeanServer.getAttribute(name, "Status");
-        LOG.log(Level.INFO, object.toString());
+        LOG.info(object.toString());
 
         List caches = (List) mBeanServer.getAttribute(name, "Caches");
         assertEquals(13, caches.size());
@@ -275,7 +277,7 @@
             String cacheName = cache.getName();
             CacheStatistics cacheStatistics = cache.getStatistics();
             CacheConfiguration cacheConfiguration = cache.getCacheConfiguration();
-            LOG.log(Level.INFO, cacheName + " " + cacheStatistics + " " + cacheConfiguration);
+            LOG.info(cacheName + " " + cacheStatistics + " " + cacheConfiguration);
         }
     }
 
@@ -358,7 +360,7 @@
             MBeanAttributeInfo[] attributes = mBeanInfo.getAttributes();
             for (int i = 0; i < attributes.length; i++) {
                 MBeanAttributeInfo attribute = attributes[i];
-                LOG.log(Level.INFO, attribute.getName() + " " + connection.getAttribute(objectName, attribute.getName()));
+                LOG.info(attribute.getName() + " " + connection.getAttribute(objectName, attribute.getName()));
             }
         }
     }
@@ -371,7 +373,7 @@
             MBeanAttributeInfo[] attributes = mBeanInfo.getAttributes();
             for (int i = 0; i < attributes.length; i++) {
                 MBeanAttributeInfo attribute = attributes[i];
-                LOG.log(Level.INFO, attribute.getName() + " " + mBeanServer.getAttribute(objectName, attribute.getName()));
+                LOG.info(attribute.getName() + " " + mBeanServer.getAttribute(objectName, attribute.getName()));
             }
         }
     }
